## START: Set by rpmautospec
## (rpmautospec version 0.2.6)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

%global         srcname     yfinance
%global         forgeurl    https://github.com/ranaroussi/%{srcname}
Version:        0.1.74
%global         tag         %{version}
%forgemeta

Name:           python-%{srcname}
Release:        %autorelease
Summary:        Yahoo! Finance market data downloader

License:        ASL 2.0
URL:            %forgeurl
Source0:        %forgesource

BuildArch:      noarch

BuildRequires:  python3-devel

%global _description %{expand:
Ever since Yahoo! finance decommissioned their historical data API, many
programs that relied on it to stop working.

yfinance aims to solve this problem by offering a reliable, threaded,
and Pythonic way to download historical market data from Yahoo! finance.}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}


%prep
%forgeautosetup

# Remove the python shebang from non-executable files.
sed -i '1{\@^#!/usr/bin/env python@d}' yfinance/*.py


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install

# A sample executable is included but it does not seem to work. It's not needed
# for the package since this is a python library meant to be used by other
# python executables.
rm -vf %{buildroot}%{_bindir}/sample

%pyproject_save_files yfinance


%check
%pyproject_check_import


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md


%changelog
* Tue Jul 12 2022 Major Hayden <major@redhat.com> 0.1.74-1
- Update to 0.1.734 rhbz#2106168

* Mon Jul 11 2022 Major Hayden <major@redhat.com> 0.1.73-1
- Update to 0.1.73 rhbz#2105968

* Tue Jun 21 2022 Major Hayden <major@redhat.com> 0.1.72-1
- Update to 0.1.72

* Wed Jun 15 2022 Python Maint <python-maint@redhat.com> 0.1.70-2
- Rebuilt for Python 3.11

* Mon Jan 31 2022 Major Hayden <major@mhtx.net> 0.1.70-1
- Update to 0.1.70

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.1.69-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Jan 12 2022 Major Hayden <major@mhtx.net> 0.1.69-1
- Update to 0.1.69

* Tue Jan 04 2022 Major Hayden <major@mhtx.net> 0.1.68-1
- Update to 0.1.68

* Sun Nov 21 2021 Major Hayden <major@mhtx.net> 0.1.67-1
- Update to 0.1.67

* Mon Nov 15 2021 Major Hayden <major@mhtx.net> 0.1.66-1
- Update to 0.1.66

* Wed Oct 20 2021 Major Hayden <major@mhtx.net> 0.1.64-1
- Update to 0.1.64

* Thu Sep 09 2021 Major Hayden <major@mhtx.net> 0.1.63-3
- Move to rpmautospec

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> 0.1.63-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Mon Jul 12 2021 Major Hayden <major@mhtx.net> 0.1.63-1
- Update to 0.1.63

* Fri Jul 09 2021 Major Hayden <major@mhtx.net> 0.1.62-1
- Update to 0.1.62

* Thu Jul 08 2021 Major Hayden <major@mhtx.net> 0.1.61-1
- Update to 0.1.61

* Sat Jul 03 2021 Major Hayden <major@mhtx.net> 0.1.60-1
- Update to 0.1.60

* Fri Jun 11 2021 Major Hayden <major@mhtx.net> 0.1.59-1
- Initial import (#1969441)
